Create brand

Create brand properties for the specified account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/branding.write scope.

POST
/accounts/{accountID}/branding
cURL .NET Java Ruby TypeScript PHP Python
curl -X POST "https://api.moov.io/accounts/{accountID}/branding" \
  -H "Authorization: Bearer {token}" \
  --data-raw '{
    "colors": {
      "dark": {
        "accent":"#111111"
      },
      "light": {
        "accent":"#111111"
      }
    }
  }'\
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Branding.CreateAsync(
    accountID: "0a6ae927-b52b-4ef4-86d0-288f27479817",
    body: new BrandProperties() {
        Colors = new BrandColors() {
            Dark = new BrandColor() {
                Accent = "#111111",
            },
            Light = new BrandColor() {
                Accent = "#111111",
            },
        },
    }
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.BrandValidationError;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateBrandResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, BrandValidationError, Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        CreateBrandResponse res = sdk.branding().create()
                .accountID("0a6ae927-b52b-4ef4-86d0-288f27479817")
                .brandProperties(BrandProperties.builder()
                    .colors(BrandColors.builder()
                        .dark(BrandColor.builder()
                            .accent("#111111")
                            .build())
                        .light(BrandColor.builder()
                            .accent("#111111")
                            .build())
                        .build())
                    .build())
                .call();

        if (res.brandProperties().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.branding.create(account_id: '0a6ae927-b52b-4ef4-86d0-288f27479817', brand_properties: Models::Components::BrandProperties.new(
  colors: Models::Components::BrandColors.new(
    dark: Models::Components::BrandColor.new(
      accent: '#111111',
    ),
    light: Models::Components::BrandColor.new(
      accent: '#111111',
    ),
  ),
))

unless res.brand_properties.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.branding.create({
    accountID: "0a6ae927-b52b-4ef4-86d0-288f27479817",
    brandProperties: {
      colors: {
        dark: {
          accent: "#111111",
        },
        light: {
          accent: "#111111",
        },
      },
    },
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$brandProperties = new Components\BrandProperties(
    colors: new Components\BrandColors(
        dark: new Components\BrandColor(
            accent: '#111111',
        ),
        light: new Components\BrandColor(
            accent: '#111111',
        ),
    ),
);

$response = $sdk->branding->create(
    accountID: '0a6ae927-b52b-4ef4-86d0-288f27479817',
    brandProperties: $brandProperties

);

if ($response->brandProperties !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.branding.create(account_id="0a6ae927-b52b-4ef4-86d0-288f27479817", colors=components.BrandColors(
        dark=components.BrandColor(
            accent="#111111",
        ),
        light=components.BrandColor(
            accent="#111111",
        ),
    ))

    # Handle response
    print(res)
200 400 401 403 404 409 422 429 500 504
The request completed successfully.
application/json
{
  "colors": {
    "dark": {
      "accent": "#111111"
    },
    "light": {
      "accent": "#111111"
    }
  }
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "colors": {
    "light": {
      "accent": "string"
    },
    "dark": {
      "accent": "string"
    }
  }
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

Body

application/json

colors

object required
Brand colors for light and dark modes.
Show child attributes

dark

object required
Show child attributes

accent

string required
A CSS hex color representing an accent color.

light

object required
Show child attributes

Response

application/json

colors

object required
Brand colors for light and dark modes.
Show child attributes

dark

object required
Show child attributes

accent

string required
A CSS hex color representing an accent color.

light

object required
Show child attributes